'use strict';

import {createStackNavigator} from 'react-navigation-stack';
import NavigationOptions from '../../components/NavbarOptions';
import SalesHome from './Home';

const HomeStack = createStackNavigator({
        SalesHome: {
            screen: SalesHome,
            navigationOptions: {
                title: '首页',
            },
        },
    },
);

HomeStack.navigationOptions = ({navigation}) => {  // ~注意~ 如果想实现隐藏Tabbar的功能要调用这个方法
    let tabBarVisible = true;
    if (navigation.state.index > 0) {
        tabBarVisible = false;
    }
    return {
        tabBarVisible,
    };
};


module.exports = HomeStack;
